Botan 2.19.5 Crypto and TLS for C&

Namespaces | Enumerations | Functions
charset.h File Reference
`#include <botan/types.h>`
`#include <string>`

Go to the source code of this file.

## Namespaces
namespace | Botan
namespace | Botan::Charset

## Enumerations
enum | Botan::Character_Set { Botan::LOCAL_CHARSET , Botan::UCS2_CHARSET , Botan::UTF8_CHARSET , Botan::LATIN1_CHARSET }

## Functions
bool | Botan::Charset::caseless_cmp (char a, char b)
uint8_t | Botan::Charset::char2digit (char c)
char | Botan::Charset::digit2char (uint8_t b)
bool | Botan::Charset::is_digit (char c)
bool | Botan::Charset::is_space (char c)
std::string | Botan::Charset::transcode (const std::string &str, Character_Set to, Character_Set from)
std::string | Botan::ucs2_to_utf8 (const uint8_t ucs2[], size_t len)
std::string | Botan::ucs4_to_utf8 (const uint8_t ucs4[], size_t len)
std::string | Botan::utf8_to_latin1 (const std::string &utf8)